Package twisted :: Package web :: Package woven :: Module view :: Class LiveView

[frames | no frames]

## Class LiveView

    View --+
           |
          LiveView

Known Subclasses:
  `LivePage`

Method Summary
| `wvfactory_webConduitGlue(self, request, node, m)`
| `wvupdate_woven_flashConduitSessionView(self, request, wid, mod)`
Inherited from View
| ``__init__`(self, m, templateFile, templateDirectory, template, controller, doneCallback, modelStack, viewStack, controllerStack)` A view must be told what its model is, and may be told what its controller is, but can also look up its controller if none specified.
| ``__setitem__`(self, key, value)`
| ``dispatchResult`(self, request, node, result)` Check a given result from handling a node and look up a NodeMutator adapter which will convert the result into a node and insert it into the DOM tree.
| ``dispatchResultCallback`(self, result, request, node)` Deal with a callback from a deferred, checking to see if it is ok to send the page yet or not.
| ``generate`(self, request, node)` Allow a view to be used like a widget.
| ``getChild`(self, path, request)`
| ``getChildWithDefault`(self, path, request)`
| ``getNodeController`(self, request, node, submodel, model)` Get a controller object to handle this node.
| ``getNodeModel`(self, request, node, submodel)` Get the model object associated with this node.
| ``getNodeView`(self, request, node, submodel, model)`
| ``getSubview`(self, request, node, model, viewName)` Get a sub-view from me.
| ``getTemplate`(self, request)` Override this if you want to have your subclass look up its template using a different method.
| ``handleControllerResults`(self, controllerResult, request, node, controller, view)` Handle a deferred from a controller.
| ``handleDocument`(self, request, document)` Handle the root node, and send the page if there are no outstanding callbacks when it returns.
| ``handleNewNode`(self, request, returnNode)`
| ``handleNode`(self, request, node)`
| ``handleOutstanding`(self, request)`
| ``importViewLibrary`(self, namespace)`
| ``lookupTemplate`(self, request)` Use acquisition to look up the template named by self.templateFile, located anywhere above this object in the heirarchy, and use it as the template.
| ``modelChanged`(self, changed)` Rerender this view, because our model has changed.
| ``recurseChildren`(self, request, node)` If this node has children, handle them.
| ``render`(self, request, doneCallback)`
| ``renderFailure`(self, failure, request)`
| ``sendPage`(self, request)` Check to see if handlers recorded any errors before sending the page
| ``setController`(self, controller)`
| ``setNode`(self, node)`
| ``setSubmodel`(self, name)`
| ``setSubviewFactory`(self, name, factory, setup, *args, **kwargs)`
| ``setUp`(self, request, d)`
| ``setupAllStacks`(self)`
| ``setupViewStack`(self)`
| ``unlinkViews`(self)`

Class Variable Summary
`int` | `livePage` = 1
Inherited from View
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`NoneType` | `doneCallback` = None
`int` | `isLeaf` = 1
`int` | `setupStacks` = 1
`str` | `template` = `''`
`str` | `templateDirectory` = `''`
`str` | `templateFile` = `''`
`NoneType` | `templateNode` = None
`list` | `viewLibraries` = `[]`
`int` | `wantsAllNotifications` = 0

Class Variable Details

### livePage

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.0 on Sat May 15 20:08:34 2004 | http://epydoc.sf.net